Bug 1175673 - Review Request: golang-github-abbot-go-http-auth - Basic and Digest HTTP Authentication for golang http
Summary: Review Request: golang-github-abbot-go-http-auth - Basic and Digest HTTP Auth...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-18 10:46 UTC by Jan Chaloupka
Modified: 2015-01-09 03:01 UTC (History)
2 users (show)

Fixed In Version: golang-github-abbot-go-http-auth-0-0.1.gitc0ef453.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-03 18:58:22 UTC
Type: ---
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2014-12-18 10:46:24 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-abbot-go-http-auth/golang-github-abbot-go-http-auth.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-abbot-go-http-auth/golang-github-abbot-go-http-auth-0-0.1.gitc0ef453.fc20.src.rpm

Description: This is an implementation of HTTP Basic
and HTTP Digest authentication in Go language.
It is designed as a simple wrapper for http.RequestHandler functions.

Fedora Account System Username: jchaloup

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=8423133

$ rpmlint golang-github-abbot-go-http-auth-0-0.1.gitc0ef453.fc20.src.rpm golang-github-abbot-go-http-auth-devel-0-0.1.gitc0ef453.fc20.noarch.rpm golang-github-abbot-go-http-auth.spec
golang-github-abbot-go-http-auth.src: W: spelling-error %description -l en_US RequestHandler -> Request Handler, Request-handler, Requester
golang-github-abbot-go-http-auth-devel.noarch: W: spelling-error %description -l en_US RequestHandler -> Request Handler, Request-handler, Requester
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

Upstream: https://github.com/abbot/go-http-auth/

Comment 1 Lokesh Mandvekar 2014-12-19 17:24:57 UTC
- license correct
- spec file conforms to current golang packaging draft
- only sources installed for now

Package approved.

Comment 2 Jan Chaloupka 2014-12-23 12:19:53 UTC
New Package SCM Request
=======================
Package Name:  Review Request: golang-github-abbot-go-http-auth
Short Description: Basic and Digest HTTP Authentication for golang http
Upstream URL: https://github.com/abbot/go-http-auth/
Owners: jchaloup lsm5
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 3 Gwyn Ciesla 2014-12-23 13:26:10 UTC
Git done (by process-git-requests).

Fixed copypaste error.

Comment 4 Fedora Update System 2014-12-24 12:43:17 UTC
golang-github-abbot-go-http-auth-0-0.1.gitc0ef453.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-abbot-go-http-auth-0-0.1.gitc0ef453.fc20

Comment 5 Fedora Update System 2014-12-24 12:44:59 UTC
golang-github-abbot-go-http-auth-0-0.1.gitc0ef453.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-abbot-go-http-auth-0-0.1.gitc0ef453.fc21

Comment 6 Fedora Update System 2014-12-24 12:46:17 UTC
golang-github-abbot-go-http-auth-0-0.1.gitc0ef453.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-abbot-go-http-auth-0-0.1.gitc0ef453.el6

Comment 7 Fedora Update System 2014-12-24 17:39:24 UTC
golang-github-abbot-go-http-auth-0-0.1.gitc0ef453.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 8 Fedora Update System 2015-01-03 18:58:22 UTC
golang-github-abbot-go-http-auth-0-0.1.gitc0ef453.fc21 has been pushed to the Fedora 21 stable repository.

Comment 9 Fedora Update System 2015-01-03 18:59:18 UTC
golang-github-abbot-go-http-auth-0-0.1.gitc0ef453.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2015-01-09 03:01:10 UTC
golang-github-abbot-go-http-auth-0-0.1.gitc0ef453.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.